package lib_allinpay

const (
	CodeSuccess = "10000"
)

const (
	SubCodeSuccess = "OK"
)

type Param interface {
	// APIName 用于提供访问的 method
	apiName() string
}

type OpenResponse struct {
	Code    string
	Msg     string
	SubCode string
	SubMsg  string
	Sign    string
	TraceId string
}

type DefaultOpenResponse struct {
	OpenResponse
	Data interface{}
}
