package lib_allinpay

// CreateMember 创建会员
func (c *Client) CreateMember(param CreateMember) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//ApplyBindAcct 绑定会员标识-用于小程序支付等
func (c *Client) ApplyBindAcct(param ApplyBindAcct) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//GetMemberInfo 查询会员
func (c *Client) GetMemberInfo(param GetMemberInfo) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//QueryBankCard 查询绑定银行卡
func (c *Client) QueryBankCard(param QueryBankCard) (result *QueryBankCardResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}
