package lib_allinpay

//ConsumeApply 绑定会员标识-用于小程序支付等
func (c *Client) ConsumeApply(param ConsumeApply) (result *WxMiniPayOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//GetOrderDetail 绑定会员标识-用于小程序支付等
func (c *Client) GetOrderDetail(param GetOrderDetail) (result *GetOrderDetailOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//Refund 退款
func (c *Client) Refund(param Refund) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//QueryReserveFundBalance 查询平台头寸信息(账户信息)
func (c *Client) QueryReserveFundBalance(param QueryReserveFundBalance) (result *QueryReserveFundBalanceResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//QueryBalance 查询会员账户信息
func (c *Client) QueryBalance(param QueryBalance) (result *QueryBalanceResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//WithdrawApply 提现
func (c *Client) WithdrawApply(param WithdrawApply) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//QueryInExpDetail 查询账户收支明细
func (c *Client) QueryInExpDetail(param QueryInExpDetail) (result *QueryInExpDetailResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}

//GetPayeeFundsInTransitDetail 收款方在途资金明细查询
func (c *Client) GetPayeeFundsInTransitDetail(param GetPayeeFundsInTransitDetail) (result *DefaultOpenResponse, err error) {
	err = c.doRequest("POST", param, &result)
	return result, err
}
