package conf

type Config struct {
	ServerName        string
	ShowSql           bool
	LogLevel          string
	LogColorful       bool
	LogResponseLength int
}

func BaseConfig(conf Config) {
	LogLevel = conf.LogLevel
	LogColorful = conf.LogColorful
	LogResponseLength = conf.LogResponseLength
}

var LogLevel = "Debug"

//LogColorful 日志是否开启彩色打印
var LogColorful = true

var LogResponseLength = 1000
