package generate

func MysqlAllTables() []Table {
	var tables []Table
	//查询库中所有表
	tablesSql := "\nSELECT\ntable_name AS name,\nTABLE_COMMENT as description\nFROM\ninformation_schema.TABLES\nwhere table_schema=?"
	db.GetPgDb().Raw(tablesSql, NameSpace).Scan(&tables)
	return tables
}

func MysqlGetTableFiledByTableName(tableName string) []TableField {
	var tableFields []TableField
	tableInfoSql := "\nSELECT\n" +
		"column_name as field_name,\n" +
		"data_type as field_type,\n" +
		"CHARACTER_MAXIMUM_LENGTH as length,\n" +
		"CHARACTER_MAXIMUM_LENGTH as length_var,\n" +
		"false as not_null,\n" +
		"COLUMN_COMMENT as `comment`,\n" +
		"COLUMN_TYPE as column_type\n" +
		"FROM\n" +
		"information_schema.columns\n" +
		"where table_name=?\n" +
		"and TABLE_SCHEMA=?\n" +
		"order by column_name"
	db.GetPgDb().Raw(tableInfoSql, tableName, NameSpace).Scan(&tableFields)
	return tableFields
}
